curl --request GET \
--url https://app.sandbox.rio.trade/api/addresses \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/addresses"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sandbox.rio.trade/api/addresses")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"createdAt": "2024-07-25T19:57:09.812Z",
"userId": "66562bc04fe8bf83c577c178",
"asset": "USDC",
"network": "solana",
"address": "0x32Be343B94f860124dC4fEe278FDCBD38C102D88",
"memo": "1234567890",
"approved": true,
"lastChecked": "2024-05-28T19:58:39.617Z",
"label": "Crypto Address",
"advancedVerificationStatus": "initiated",
"id": "6656376f778ff28dd1c41c50"
}
]{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}Get addresses
curl --request GET \
--url https://app.sandbox.rio.trade/api/addresses \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/addresses"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sandbox.rio.trade/api/addresses")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"createdAt": "2024-07-25T19:57:09.812Z",
"userId": "66562bc04fe8bf83c577c178",
"asset": "USDC",
"network": "solana",
"address": "0x32Be343B94f860124dC4fEe278FDCBD38C102D88",
"memo": "1234567890",
"approved": true,
"lastChecked": "2024-05-28T19:58:39.617Z",
"label": "Crypto Address",
"advancedVerificationStatus": "initiated",
"id": "6656376f778ff28dd1c41c50"
}
]{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}Authorizations
Query Parameters
Id of the user for which you want to get the list of crypto addresses.
"66290ac8bd3903485989f82e"
If the address is known, it can be used to obtain it.
"0x32Be343B94f860124dC4fEe278FDCBD38C102D88"
Only return addresses for this asset.
USDC, USDCe, EURC, USDT Only return addresses on this network.
ethereum, polygon, solana, stellar, base, tempo, tron, bsc Used to specify the current page you want to get in the paging results.
Used to specify the maximum number of records to be returned on a single page.
Response
OK
The date and time when the address was created.
"2024-07-25T19:57:09.812Z"
Id of the user.
"66562bc04fe8bf83c577c178"
Stablecoin held at this address.
USDC, USDCe, EURC, USDT "USDC"
Network the address is on. One address record covers one asset on one network.
ethereum, polygon, solana, stellar, base, tempo, tron, bsc "solana"
Crypto address.
"0x32Be343B94f860124dC4fEe278FDCBD38C102D88"
The memo for the blockchain transaction (USDC Stellar addresses only). Please check if your wallet requires a memo for deposits. If so, please include the memo in the transaction. Failure to include the memo will result in the payment not being credited to your order and your funds may be permanently lost.
"1234567890"
Indicates if the address has been approved.
true
The date and time when the address was last verified.
"2024-05-28T19:58:39.617Z"
Label of the address.
"Crypto Address"
Advanced verification status.
initiated, sent, passed, cancelled Id of the address.
"6656376f778ff28dd1c41c50"